<? $pageTitle = 'Verifying...'; ?>
<? require 'common/header.php';?>
<?php
    if(isset($_GET['id'])){
        if($mailingListUser = MailingList::find_by_id($_GET['id'])){
            if($mailingListUser->unsubscribe($_GET['verification'])){
                echo 'You are now unsubscribed!';
            }else{
                echo 'This is an incorrect verification key!';
            }
        }else{
            echo 'Your account has not been found. Please subscribe again.';
        }
    }
?>